/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 26/10/2017
 --------------------------------------------------------
*/
package com.portofolio.dao;

import org.springframework.context.annotation.Lazy;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import com.portofolio.entity.LanguageSetting;
import com.portofolio.entity.vo.LanguageSettingId;

@Lazy
@Repository
public interface LanguageSettingDao extends CrudRepository<LanguageSetting, LanguageSettingId> {

  
    String QListAll ="select new map(model.kdModulAplikasi as kdModulAplikasi,model.id.kdVersion as kdVersion,model.id.kdBahasa as kdBahasa,model.id.kdProfile as kdProfile "
            + ", model.statusEnabled as statusEnabled " 
            + ", model.noRec as noRec  )" 
            + " from LanguageSetting model  where id.kdProfile=:kdProfile  "; 

}
